# Delete GnuPG key pair

This function deletes a GnuPG (GPG) key pair.

Endpoint: GET /GPG/delete_keypair
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `key_id` (string, required)
    The ID of the GPG key that you wish to delete.

Note:

* The function will delete all keys that match this ID.
  * If you set this parameter to a public key, the function will delete the public key. 
  * If you set this parameter to a public and private key pair, the function will delete the public and private keys.
* To obtain the desired key, call the UAPI GPG::list_secret_keys function.
    Example: "ACFFDB37176B680D"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "delete_keypair"

  - `module` (string)
    The name of the module called.
    Example: "GPG"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


